Name: bootparamd
Version: 0.17
Release: ipl4mdk

Summary: A server process which provides boot information to diskless clients
License: BSD
Group: System/Servers

Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-%name-%version.tar.bz2
Source1: %name.init

PreReq: chkconfig
Requires: portmap

%description
The %name process provides %name, a server process which
provides the information needed by diskless clients in order for them
to successfully boot.  Bootparamd looks first in /etc/bootparams for an
entry for that particular client; if a local bootparams file doesn't
exist, it looks at the appropriate Network Information Service (NIS)
map.  Some network boot loaders (notably Sun's) rely on special boot
server code on the server, in addition to the rarp and tftp servers.
This %name server process is compatible with SunOS bootparam clients
and servers which need that boot server code.

You should install %name if you need to provide boot information to
diskless clients on your network.

%prep
%setup -q -n netkit-%name-%version

%build
./configure
perl -pi -e '
	s,^CC=*.$,CC=cc,;
	s,-O2,\$(RPM_OPT_FLAGS) -D_BSD_SOURCE,;
	s,^BINDIR=.*$,BINDIR=%_bindir,;
	s,^SBINDIR=.*$,SBINDIR=%_sbindir,;
	s,^MANDIR=.*$,MANDIR=%_mandir,;
	' MCONFIG
%make_build

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_sbindir,%{_mandir}/man8}
%make_install install INSTALLROOT=$RPM_BUILD_ROOT

install -p -m755 -D %SOURCE1 $RPM_BUILD_ROOT%_initdir/%name

%post
/sbin/chkconfig --add %name

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del %name
fi

%files
%config(noreplace) %_initdir/*
%_bindir/*
%_sbindir/*
%_mandir/man?/*
%doc ChangeLog README

%changelog
* Fri Oct 04 2002 Rider <rider@altlinux.ru> 0.17-ipl4mdk
- rebuild

* Mon Apr 15 2002 Rider <rider@altlinux.ru> 0.17-ipl3mdk
- rebuild

* Sat Jan 20 2001 Dmitry V. Levin <ldv@fandra.org> 0.17-ipl2mdk
- RE adaptions.

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-2mdk
- s|%postun|%preun|;
- noreplace.
- Add default runlevel in initscripts.
- Use RETVAL in initscripts.

* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- a much needed update to the new and shiny 0.17 version

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.10-7mdk
- macroszifications
- BM

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.10-6mdk
- remove version from spec filename
- compress source for bootparamd init script
- remove script segment which strips binaries, spec-helper does this now

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.10-5mdk
- updated BuildRoot
- new group System/Servers

* Fri Nov 12 1999 Camille Begnis <camille@mandrakesoft.com>
- Picked new initrscript from mandrake
- added defattr

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- removed triggerpostun.

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Thu Jan 08 1998 Erik Troan <ewt@redhat.com>
- updated initscript to include functions
- fixed 'stop' action of initscript
- added requirement for portmap

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added an initscript

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
